Magick++: Magick::ReadOptions Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::ReadOptions Class Reference

`#include <STL.h>`

## Public Member Functions
| ReadOptions (void)
| ReadOptions (const ReadOptions &options_)
| ~ReadOptions ()
void | density (const Geometry &geomery_)
Geometry | density (void) const
void | depth (size_t depth_)
size_t | depth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
MagickCore::ImageInfo * | imageInfo (void)

## Detailed Description

Definition at line 878 of file STL.h.

## Constructor & Destructor Documentation

Magick::ReadOptions::ReadOptions | ( | void |  | ) |

Definition at line 824 of file STL.cpp.

Magick::ReadOptions::ReadOptions | ( | const ReadOptions & | options_ | ) |

Definition at line 832 of file STL.cpp.

Magick::ReadOptions::~ReadOptions | ( |  | ) |

Definition at line 838 of file STL.cpp.

## Member Function Documentation

void Magick::ReadOptions::density | ( | const Geometry & | geomery_ | ) |

Definition at line 843 of file STL.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

Magick::Geometry Magick::ReadOptions::density | ( | void |  | ) | const

Definition at line 851 of file STL.cpp.

References Magick::Geometry.

void Magick::ReadOptions::depth | ( | size_t | depth_ | ) |

Definition at line 859 of file STL.cpp.

size_t Magick::ReadOptions::depth | ( | void |  | ) | const

Definition at line 864 of file STL.cpp.

MagickCore::ImageInfo * Magick::ReadOptions::imageInfo | ( | void |  | ) |

Definition at line 895 of file STL.cpp.

Referenced by Magick::readImages().

void Magick::ReadOptions::quiet | ( | const bool | quiet_ | ) |

Definition at line 869 of file STL.cpp.

Referenced by Magick::readImages().

bool Magick::ReadOptions::quiet | ( | void |  | ) | const

Definition at line 874 of file STL.cpp.

void Magick::ReadOptions::size | ( | const Geometry & | geometry_ | ) |

Definition at line 879 of file STL.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

Magick::Geometry Magick::ReadOptions::size | ( | void |  | ) | const

Definition at line 887 of file STL.cpp.

References Magick::Geometry.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp